package de.hdm_stuttgart.battlearena.Main;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.text.Font;
import javafx.stage.Stage;

import javafx.stage.StageStyle;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.Objects;

public class Main extends Application {

    private static final Logger log = LogManager.getLogger(Main.class);

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
//        loading font in start() because CSS can't handle whitespace in folder names
        Font.loadFont(getClass().getResourceAsStream("/fonts/StarshipShadow.ttf"), 20);

        Parent root = FXMLLoader.load(Objects.requireNonNull(getClass().getResource("/fxml/MenuBorderPane.fxml")));

        Scene scene = new Scene(root);

        scene.getStylesheets().add(Objects.requireNonNull(this.getClass().getResource("/styles/style.css")).toExternalForm());
        stage.setTitle("BattleArena");
        stage.setScene(scene);
        stage.minHeightProperty().setValue(400);
        stage.minWidthProperty().setValue(600);
        stage.setMaximized(true);
        stage.initStyle(StageStyle.UNDECORATED);

        stage.show();
        log.debug("Project started successfully!");
    }
}